2020-01-24 02:46 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004670Spring engineGeneralpublic2015-02-23 09:48
Reportersilentwings 
Assigned TojK 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version98.0.1+git 
Target Version99.0Fixed in Version 
Summary0004670: spring camera zooms to wrong location
DescriptionSee video, which is me picking a point on the map, marking it, then zooming in using the mousewheel (without moving the mouse), then marking where I end up.
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files
  • txt file icon infolog.txt (31,740 bytes) 2015-02-11 09:18 -
    [ParseCmdLine] command-line args: "C:\Spring-98.0.1-375\spring.exe"
    Using configuration source: "C:\Users\Nic\Documents\My Games\Spring\springsettings.cfg"
    ============== <User Config> ==============
    3DTrees = 0
    AdvSky = 1
    AllowDeferredMapRendering = 1
    AllowDeferredModelRendering = 1
    CamMode = 1
    DisableDemoVersionCheck = 1
    ExtraTextureUpdateRate = 15
    Fullscreen = 0
    GrassDetail = 0
    GroundDecals = 0
    GroundDetail = 194
    GuiOpacity = 0.7
    InputTextGeo = 0.26 0.73 0.02 0.028
    LastSelectedMap = Voltic Plateau v2
    LastSelectedMod = Balanced Annihilation Reloaded $VERSION
    LastSelectedScript = Player Only: Testing Sandbox
    LastSelectedSetting = GroundDecals
    LogFlushLevel = 0
    MaxNanoParticles = 2500
    MaxParticles = 15413
    ScreenshotCounter = 414
    Shadows = 0
    ShowFPS = 1
    ShowPlayerInfo = 0
    SmoothLines = 0
    SmoothPoints = 0
    TCPAllowConnect = replays.springrts.com:8222
    TCPAllowListen = replays.springrts.com:8222
    UnitIconDist = 300
    UnitLodDist = 280
    VSync = -1
    WindowPosX = 239
    WindowPosY = 61
    WindowState = 0
    XResolution = 1400
    XResolutionWindowed = 1400
    YResolution = 900
    YResolutionWindowed = 900
    snd_volbattle = 2
    snd_volmaster = 8
    snd_volmusic = 8
    ============== </User Config> ==============
    Available log sections: KeyBindings, AutohostInterface, GameServer, Net, CSMFGroundTextures, RoamMeshDrawer, BumpWater, DynWater, SkyBox, DecalsDrawerGL4, FarTextureHandler, Model, Piece, ModelDrawer, OBJParser, WorldObjectModelRenderer, Shader, Texture, Font, CregSerializer, ArchiveScanner, VFS, Sound, LuaSocket, GroundMoveType, Path, UnitScript
    Enabled log sections: Sound(Notice)
    Enable or disable log sections using the LogSections configuration key
      or the SPRING_LOG_SECTIONS environment variable (both comma separated).
      Use "none" to disable the default log sections.
    LogOutput initialized.
    Spring 98.0.1-375-g7b238d8 develop
    Build Date & Time: Feb  8 2015 13:56:10
    Build Environment: boost-105500, GNU libstdc++ version 20130531
    Compiler Version:  gcc-4.8.1
    Operating System:  Microsoft Windows
    Microsoft Windows 7 Home Premium Edition, 64-bit Service Pack 1 (build 7601)
    Intel(R) Core(TM) i7-3740QM CPU @ 2.70GHz; 8154MB RAM, 16306MB pagefile
    Word Size:         32-bit (emulated)
             CPU Clock: win32::TimeGetTime
    Physical CPU Cores: 4
     Logical CPU Cores: 8
    [CMyMath::Init] CPU SSE mask: 127, flags:
    	SSE 1.0:  1,  SSE 2.0:  1
    	SSE 3.0:  1, SSSE 3.0:  1
    	SSE 4.1:  1,  SSE 4.2:  1
    	SSE 4.0A: 0,  SSE 5.0A: 0
    	using streflop SSE FP-math mode, CPU supports SSE instructions
    Supported Video modes on Display 1 x:0 y:0 1920x1080:
    	640x480, 720x480, 720x576, 800x600, 1024x768, 1152x864, 1280x720, 1280x768, 1280x800, 1280x960, 1280x1024, 1360x768, 1366x768, 1600x900, 1600x1024, 1680x1050, 1920x1080
    SDL version:  linked 2.0.3; compiled 2.0.2
    GL version:   4.2.0
    GL vendor:    NVIDIA Corporation
    GL renderer:  GeForce GT 650M/PCIe/SSE2
    GLSL version: 4.20 NVIDIA via Cg compiler
    GLEW version: 1.5.8
    Video RAM:    total 2048MB, available 1779MB
    SwapInterval: 1
    FBO::maxSamples: 32
    GL info:
    	haveARB: 1, haveGLSL: 1, ATI hacks: 0
    	FBO support: 1, NPOT-texture support: 1, 24bit Z-buffer support: 1
    	maximum texture size: 16384, compress MIP-map textures: 0
    	maximum SmoothPointSize: 63, maximum vec4 varying/attributes: 31/16
    	maximum drawbuffers: 8, maximum recommended indices/vertices: 1048576/1048576
    	number of UniformBufferBindings: 60 (64kB)
    VSync disabled
    [InitOpenGL] video mode set to 1400x900:24bit @60Hz (windowed)
    [WatchDogInstall] Installed (HangTimeout: 10sec)
    [ThreadPool::SetThreadCount][1] #wanted=4 #current=1 #max=4
    [ThreadPool::SetThreadCount][2] #threads=3
    Using read-write data directory: C:\Users\Nic\Documents\My Games\Spring\
    Using read-only data directory: C:\Spring-98.0.1-375\
    Scanning: C:\Spring-98.0.1-375\maps
    Scanning: C:\Spring-98.0.1-375\base
    Scanning: C:\Spring-98.0.1-375\games
    Scanning: C:\Users\Nic\Documents\My Games\Spring\maps
    Scanning: C:\Users\Nic\Documents\My Games\Spring\games
    Scanning: C:\Users\Nic\Documents\My Games\Spring\packages
    Error: Found a "glacier test.sdz" already in "C:\Users\Nic\Documents\My Games\Spring\games\Etc\missions\campaign\", ignoring one in "C:\Users\Nic\Documents\My Games\Spring\games\"
    Error: Found a "dryriverv10hw.sd7" already in "C:\Users\Nic\Documents\My Games\Spring\games\Etc\missions\campaign\", ignoring one in "C:\Users\Nic\Documents\My Games\Spring\maps\"
    Error: Found a "downriver_v1_hw.sd7" already in "C:\Users\Nic\Documents\My Games\Spring\games\Etc\missions\campaign\", ignoring one in "C:\Users\Nic\Documents\My Games\Spring\maps\"
    Error: Found a "deltasiegedry_reloaded_vbeta2.sd7" already in "C:\Users\Nic\Documents\My Games\Spring\games\maps\DeltaSiegeDry_remake\", ignoring one in "C:\Users\Nic\Documents\My Games\Spring\maps\"
    [f=0000000] [Sound] OpenAL info:
    [f=0000000] [Sound]   Available Devices:
    [f=0000000] [Sound]               Speakers (Realtek High Definition Audio)
    [f=0000000] [Sound]   Device:     OpenAL Soft
    [f=0000000] [Sound]   Vendor:         OpenAL Community
    [f=0000000] [Sound]   Version:        1.1 ALSOFT 1.15.1
    [f=0000000] [Sound]   Renderer:       OpenAL Soft
    [f=0000000] [Sound]   AL Extensions:  AL_EXT_ALAW AL_EXT_DOUBLE AL_EXT_EXPONENT_DISTANCE AL_EXT_FLOAT32 AL_EXT_IMA4 AL_EXT_LINEAR_DISTANCE AL_EXT_MCFORMATS AL_EXT_MULAW AL_EXT_MULAW_MCFORMATS AL_EXT_OFFSET AL_EXT_source_distance_model AL_LOKI_quadriphonic AL_SOFT_buffer_samples AL_SOFT_buffer_sub_data AL_SOFTX_deferred_updates AL_SOFT_direct_channels AL_SOFT_loop_points AL_SOFT_source_latency
    [f=0000000] [Sound]   ALC Extensions: ALC_ENUMERATE_ALL_EXT ALC_ENUMERATION_EXT ALC_EXT_CAPTURE ALC_EXT_DEDICATED ALC_EXT_disconnect ALC_EXT_EFX ALC_EXT_thread_local_context ALC_SOFT_loopback
    [f=0000000] [Sound]   EFX Enabled: yes
    [f=0000000] [Sound]   Max Sounds: 128
    [f=0000000] Joysticks found: 0
    [f=0000000] [ThreadPool::SetThreadCount][1] #wanted=3 #current=4 #max=4
    [f=0000000] [ThreadPool::SetThreadCount][2] #threads=2
    [f=0000000] [Threading] Main thread CPU affinity mask set: 252
    [f=0000000] [InitOpenGL] video mode set to 1400x900:24bit @60Hz (windowed)
    [f=0000000] Hosting on: localhost:8452
    [f=0000000] Connecting to local server
    [f=0000000] [AddGameSetupArchivesToVFS] using map: Voltic Plateau v2
    [f=0000000] Warning: Opening socket on loopback address. Other users will not be able to connect!
    [f=0000000] Binding UDP socket to IP (v6) ::1 port 8452
    [f=0000000] [UDPListener] successfully bound socket on port 8452
    [f=0000000] PreGame::StartServer: 2518 ms
    [f=0000000] [AddGameSetupArchivesToVFS] using map: Voltic Plateau v2
    [f=0000000] [AddGameSetupArchivesToVFS] using game: Balanced Annihilation Reloaded $VERSION (archive: bar.sdd)
    [f=0000000] Recording demo to: C:\Users\Nic\Documents\My Games\Spring\demos\20150211_081411_Voltic Plateau v2_98.0.1-375-g7b238d8 develop.sdf
    [f=0000000] PreGame::GameDataReceived: 663 ms
    [f=0000000] [PreGame::UpdateClientNet] user number 0 (team 0, allyteam 0)
    [f=0000000] [LuaIntro] Searching for new Widgets
    [f=0000000] [LuaIntro] Scanning: LuaIntro/Addons/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/Widgets/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/SystemAddons/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/SystemWidgets/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/chili/
    [f=0000000] [LuaIntro] Found new widget "SpringLogo"
    [f=0000000] [LuaIntro] Found new widget "LoadTexture"
    [f=0000000] [LuaIntro] Found new widget "LoadProgress"
    [f=0000000] [LuaIntro] Found new widget "Main"
    [f=0000000] [LuaIntro] Found new widget "Music"
    [f=0000000] [LuaIntro] Loading widgets   <>=vfs  **=raw  ()=unknown
    [f=0000000] [LuaIntro] Loading widget:      Engine Taskbar Stuff   <engine_taskbar_control.lua>
    [f=0000000] [LuaIntro] Loading widget:      LoadProgress           <loadprogress.lua>
    [f=0000000] [LuaIntro] Loading widget:      Main                   <main.lua>
    [f=0000000] [LuaIntro] Loading widget:      Music                  <music.lua>
    [f=0000000] [LuaIntro] Loading widget:      LoadTexture            <bg_texture.lua>
    [f=0000000] [LuaIntro] LuaIntro v1.0 (Lua 5.1)
    [f=0000000] Parsing Map Information
    [f=0000000] Loading SMF
    [f=0000000] Loading Map (106 MB)
    [f=0000000] Loading Radar Icons
    [f=0000000] Loading GameData Definitions
    [f=0000000] [unitdefs.lua] Error: removed the "armuwmmm" entry from the "armacsub" build menu
    [f=0000000] [unitdefs.lua] Error: removed the "coruwmmm" entry from the "corcsa" build menu
    [f=0000000] [unitdefs.lua] Error: removed the "coruwmmm" entry from the "coracsub" build menu
    [f=0000000] [unitdefs.lua] Error: removed the "armuwmmm" entry from the "armcsa" build menu
    [f=0000000] Loading all definitions:  0.185000
    [f=0000000] Game::LoadDefs (GameData): 231 ms
    [f=0000000] Loading Sound Definitions
    [f=0000000] [Sound]  parsed 31 sounds from gamedata/sounds.lua
    [f=0000000] Game::LoadDefs (Sound): 1 ms
    [f=0000000] Creating Smooth Height Mesh
    [f=0000000] SmoothHeightMesh::MakeSmoothMesh: 123 ms
    [f=0000000] Creating QuadField & CEGs
    [f=0000000] [CDamageArrayHandler] number of ArmorDefs: 13
    [f=0000000] [RegisterAssimpModelFormats] supported Assimp model formats: *.3ds;*.blend;*.dae;*.lwo;
    [f=0000000] Creating Unit Textures
    [f=0000000] Creating Sky
    [f=0000000] Loading Weapon Definitions
    [f=0000000] Loading Unit Definitions
    [f=0000000] Loading Feature Definitions
    [f=0000000] [IPathManager::GetInstance] using DEFAULT path-manager
    [f=0000000] Initializing Map Features
    [f=0000000] Creating ShadowHandler & DecalHandler
    [f=0000000] Creating GroundDrawer
    [f=0000000] Loading Map Tiles
    [f=0000000] Loading Square Textures
    [f=0000000] CSMFGroundTextures::ConvolveHeightMap: 4 ms
    [f=0000000] Switching to ROAM Mesh Rendering
    [f=0000000] Creating TreeDrawer
    [f=0000000] Creating ProjectileDrawer & UnitDrawer
    [f=0000000] Creating Projectile Textures
    [f=0000000] Creating Water
    [f=0000000] Game::LoadInterface (Camera&Mouse): 88 ms
    [f=0000000] Game::LoadInterface (Console): 1 ms
    [f=0000000] Loading LuaRules
    [f=0000000] Loaded synced gadget:  Metalspot Finder Gadget  <mex_spot_finder.lua>
    [f=0000000] Loaded synced gadget:  Rez Exp             <unit_rez_exp.lua>
    [f=0000000] Loaded synced gadget:  Slap                <api_slap.lua>
    [f=0000000] Loaded synced gadget:  ranks api           <api_ranks.lua>
    [f=0000000] Loaded synced gadget:  CameraBroadcast     <camera_lockcamera.lua>
    [f=0000000] Loaded synced gadget:  Awards              <game_awards.lua>
    [f=0000000] Loaded synced gadget:  Air Release         <unit_air_release_manager.lua>
    [f=0000000] Loaded synced gadget:  AirPlantParents     <unit_air_plants.lua>
    [f=0000000] Loaded synced gadget:  Commander Blast     <unit_commander_blast.lua>
    [f=0000000] Loaded synced gadget:  Commando Watch      <unit_commando_watch.lua>
    [f=0000000] Loaded synced gadget:  Cursor Broadcast    <cmd_mouse_pos_broadcast.lua>
    [f=0000000] Loaded synced gadget:  DGun CmdType Fix    <unit_dgun_cmdtype_fix.lua>
    [f=0000000] Loaded synced gadget:  Death Messages      <game_death_messages.lua>
    [f=0000000] Loaded synced gadget:  Debris Damage       <unit_debris_damage.lua>
    [f=0000000] Loaded synced gadget:  Depthcharge splash  <fx_depthcharge_splash.lua>
    [f=0000000] Loaded synced gadget:  DirectControl       <unit_direct_control.lua>
    [f=0000000] Loaded synced gadget:  Dynamic collision volume & Hitsphere Scaledown  <unit_dynamic_collision_volume.lua>
    [f=0000000] Loaded synced gadget:  Energy Conversion   <game_energy_conversion.lua>
    [f=0000000] Loaded synced gadget:  FinishedBuilding    <unit_finished_building.lua>
    [f=0000000] Loaded synced gadget:  Game End            <game_end.lua>
    [f=0000000] Loaded synced gadget:  Initial Spawn       <game_initial_spawn.lua>
    [f=0000000] Loaded synced gadget:  Juno Damage         <unit_juno_damage.lua>
    [f=0000000] Loaded synced gadget:  Lightning Spash Damage  <unit_lightning_splash_dmg.lua>
    [f=0000000] Loaded synced gadget:  Limit Dgun Use (Charge)  <unit_dgun_charge.lua>
    [f=0000000] Loaded synced gadget:  Load Missiles       <cmd_loadmissiles.lua>
    [f=0000000] Loaded synced gadget:  Lua unit script framework  <unit_script.lua>
    [f=0000000] Loaded synced gadget:  Lups Flamethrower Jitter  <lups_flame_jitter.lua>
    [f=0000000] Loaded synced gadget:  Merc/Scr stockpile control  <unit_mercscr_stockpile_limit.lua>
    [f=0000000] Loaded synced gadget:  Napalm              <lups_napalm.lua>
    [f=0000000] Loaded synced gadget:  No Land Damage      <unit_no_land_damage.lua>
    [f=0000000] Loaded synced gadget:  No Self Pwn         <unit_noselfpwn.lua>
    [f=0000000] Loaded synced gadget:  No Self-D           <unit_prevent_share_selfd.lua>
    [f=0000000] Loaded synced gadget:  Nonblocking mines   <unit_nonblocking_mines.lua>
    [f=0000000] Loaded synced gadget:  Paralyse Multiplier  <unit_paralyze_multiplier.lua>
    [f=0000000] Loaded synced gadget:  Passive Builders v3  <unit_passive_builders.lua>
    [f=0000000] Loaded synced gadget:  PopUpWaterStructures  <unit_pop_up_water_structures.lua>
    [f=0000000] Loaded synced gadget:  Prevent Excessive Share  <game_prevent_excessive_share.lua>
    [f=0000000] Loaded synced gadget:  Prevent Lab Hax     <unit_prevent_lab_hax.lua>
    [f=0000000] Loaded synced gadget:  Prevent Load Hax    <unit_prevent_load_hax.lua>
    [f=0000000] Loaded synced gadget:  Prevent Range Hax   <unit_prevent_range_hax.lua>
    [f=0000000] Loaded synced gadget:  Prevent Strange Orders  <unit_prevent_strange_orders.lua>
    [f=0000000] Loaded synced gadget:  Prevent Unload Hax  <unit_prevent_unload_hax.lua>
    [f=0000000] Loaded synced gadget:  Prevent outside-of-map hax  <unit_prevent_aircraft_hax.lua>
    [f=0000000] Loaded synced gadget:  Reclaim Fix         <unit_reclaim_fix.lua>
    [f=0000000] Loaded synced gadget:  Reclaim flash       <gfx_reclaim_flash.lua>
    [f=0000000] Loaded synced gadget:  SetNeutral          <unit_set_neutral.lua>
    [f=0000000] Loaded synced gadget:  Shockwaves          <lups_shockwaves.lua>
    [f=0000000] Loaded synced gadget:  Stealthy Passengers  <unit_stealthy_passengers.lua>
    [f=0000000] Loaded synced gadget:  Stun Control        <unit_stun_control.lua>
    [f=0000000] Loaded synced gadget:  Target on the move  <unit_target_on_the_move.lua>
    [f=0000000] Loaded synced gadget:  Team Resourcing     <game_team_resources.lua>
    [f=0000000] Loaded synced gadget:  Transportee Hider   <unit_transportee_hider.lua>
    [f=0000000] Loaded synced gadget:  Tree feller         <gfx_tree_feller.lua>
    [f=0000000] Loaded synced gadget:  Was Player          <api_was_player.lua>
    [f=0000000] Loaded synced gadget:  Watereffects        <fx_watersplash.lua>
    [f=0000000] Loaded synced gadget:  fx_reclaim_shards   <fx_reclaim_shards.lua>
    [f=0000000] Loaded synced gadget:  fx_wreck_shards     <fx_wreck_shards.lua>
    [f=0000000] Loaded synced gadget:  game_no_share_to_enemy  <game_no_share_to_enemy.lua>
    [f=0000000] Loaded synced gadget:  lib_startpoint_guesser.lua  <lib_startpoint_guesser.lua>
    [f=0000000] Loaded synced gadget:  lups_wrapper.lua    <lups_wrapper.lua>
    [f=0000000] Loaded synced gadget:  mo_enemywrecks      <mo_enemywrecks.lua>
    [f=0000000] Loaded synced gadget:  subMissile splash   <fx_submissile_splash.lua>
    [f=0000000] Loaded synced gadget:  transportfix        <unit_transportfix.lua>
    [f=0000000] Loaded synced gadget:  unit_combomb_full_damage  <unit_combomb_full_damage.lua>
    [f=0000000] Loaded synced gadget:  Area Attack         <unit_areaattack.lua>
    [f=0000000] Loaded synced gadget:  CustomUnitShaders   <api_custom_unit_shaders.lua>
    [f=0000000] Loaded synced gadget:  Recorder (Load)     <dbg_recorder_load.lua>
    [f=0000000] Loaded synced gadget:  Substitution        <game_replace_afk_players.lua>
    [f=0000000] Loaded synced gadget:  Take Manager        <cmd_idle_players.lua>
    [f=0000000] Loaded synced gadget:  Team Com Ends       <game_team_com_ends.lua>
    [f=0000000] Loaded synced gadget:  Lups Cloak FX       <lups_cloak_fx.lua>
    [f=0000000] Loaded synced gadget:  Mex Upgrader Gadget  <unit_mex_upgrader.lua>
    [f=0000000] Loaded synced gadget:  Crashing Aircraft   <unit_crashing_aircraft.lua>
    [f=0000000] Loaded synced gadget:  Profiler            <dbg_profiler.lua>
    [f=0000000] <LockCamera>: Sorry for the camera switch spam, but this is the only reliable way to list camera states other than hardcoding them
    [f=0000000] Switching to Overview style camera
    [f=0000000] Switching to Spring style camera
    [f=0000000] Switching to Free style camera
    [f=0000000] Switching to Rotatable overhead camera
    [f=0000000] Switching to Overhead (TA) style camera
    [f=0000000] Switching to FPS style camera
    [f=0000000] Switching to Overhead (TA) style camera
    [f=0000000] Loaded unsynced gadget:  Metalspot Finder Gadget  <mex_spot_finder.lua>
    [f=0000000] Loaded unsynced gadget:  Slap                <api_slap.lua>
    [f=0000000] Loaded unsynced gadget:  ranks api           <api_ranks.lua>
    [f=0000000] Loaded unsynced gadget:  CustomIcons         <unit_customicons.lua>
    [f=0000000] Loaded unsynced gadget:  CameraBroadcast     <camera_lockcamera.lua>
    [f=0000000] Loaded unsynced gadget:  Awards              <game_awards.lua>
    [f=0000000] Loaded unsynced gadget:  Air Release         <unit_air_release_manager.lua>
    [f=0000000] Loaded unsynced gadget:  AirPlantParents     <unit_air_plants.lua>
    [f=0000000] Loaded unsynced gadget:  Arm Atlas Loader    <gfx_arm_atlas_loader.lua>
    [f=0000000] Loaded unsynced gadget:  Cursor Broadcast    <cmd_mouse_pos_broadcast.lua>
    [f=0000000] Loaded unsynced gadget:  Debris Damage       <unit_debris_damage.lua>
    [f=0000000] Loaded unsynced gadget:  Dynamic collision volume & Hitsphere Scaledown  <unit_dynamic_collision_volume.lua>
    [f=0000000] Loaded unsynced gadget:  FinishedBuilding    <unit_finished_building.lua>
    [f=0000000] Loaded unsynced gadget:  Initial Spawn       <game_initial_spawn.lua>
    [f=0000000] Loaded unsynced gadget:  Juno Damage         <unit_juno_damage.lua>
    [f=0000000] Loaded unsynced gadget:  Lightning Spash Damage  <unit_lightning_splash_dmg.lua>
    [f=0000000] Loaded unsynced gadget:  Limit Dgun Use (Charge)  <unit_dgun_charge.lua>
    [f=0000000] Loaded unsynced gadget:  Load Missiles       <cmd_loadmissiles.lua>
    [f=0000000] Loaded unsynced gadget:  Lups Flamethrower Jitter  <lups_flame_jitter.lua>
    [f=0000000] Loaded unsynced gadget:  Merc/Scr stockpile control  <unit_mercscr_stockpile_limit.lua>
    [f=0000000] Loaded unsynced gadget:  Napalm              <lups_napalm.lua>
    [f=0000000] Loaded unsynced gadget:  No Self-D           <unit_prevent_share_selfd.lua>
    [f=0000000] Loaded unsynced gadget:  Opacity control     <api_opacity.lua>
    [f=0000000] Loaded unsynced gadget:  PopUpWaterStructures  <unit_pop_up_water_structures.lua>
    [f=0000000] Loaded unsynced gadget:  Prevent Unload Hax  <unit_prevent_unload_hax.lua>
    [f=0000000] Loaded unsynced gadget:  Reclaim Fix         <unit_reclaim_fix.lua>
    [f=0000000] Loaded unsynced gadget:  Reclaim flash       <gfx_reclaim_flash.lua>
    [f=0000000] Loaded unsynced gadget:  SetNeutral          <unit_set_neutral.lua>
    [f=0000000] Loaded unsynced gadget:  Shockwaves          <lups_shockwaves.lua>
    [f=0000000] Loaded unsynced gadget:  Target on the move  <unit_target_on_the_move.lua>
    [f=0000000] Loaded unsynced gadget:  Transportee Hider   <unit_transportee_hider.lua>
    [f=0000000] Loaded unsynced gadget:  Tree feller         <gfx_tree_feller.lua>
    [f=0000000] Loaded unsynced gadget:  fx_reclaim_shards   <fx_reclaim_shards.lua>
    [f=0000000] Loaded unsynced gadget:  fx_wreck_shards     <fx_wreck_shards.lua>
    [f=0000000] Loaded unsynced gadget:  game_no_share_to_enemy  <game_no_share_to_enemy.lua>
    [f=0000000] Loaded unsynced gadget:  lib_startpoint_guesser.lua  <lib_startpoint_guesser.lua>
    [f=0000000] Loaded unsynced gadget:  mo_enemywrecks      <mo_enemywrecks.lua>
    [f=0000000] Loaded unsynced gadget:  mo_noowner          <mo_noowner.lua>
    [f=0000000] Loaded unsynced gadget:  transportfix        <unit_transportfix.lua>
    [f=0000000] Loaded unsynced gadget:  Area Attack         <unit_areaattack.lua>
    [f=0000000] Loaded unsynced gadget:  CustomUnitShaders   <api_custom_unit_shaders.lua>
    [f=0000000] Loaded unsynced gadget:  Recorder (Load)     <dbg_recorder_load.lua>
    [f=0000000] Loaded unsynced gadget:  Take Manager        <cmd_idle_players.lua>
    [f=0000000] Loaded unsynced gadget:  Lups Cloak FX       <lups_cloak_fx.lua>
    [f=0000000] Loaded unsynced gadget:  Mex Upgrader Gadget  <unit_mex_upgrader.lua>
    [f=0000000] Loaded unsynced gadget:  Crashing Aircraft   <unit_crashing_aircraft.lua>
    [f=0000000] Loaded unsynced gadget:  Lups                <lups_wrapper.lua>
    [f=0000000] Loaded unsynced gadget:  Profiler            <dbg_profiler.lua>
    [f=0000000] Loading LuaGaia
    [f=0000000] Loading LuaUI
    [f=0000000] LuaSocketEnabled: yes
    [f=0000000] This game has locked LuaUI access
    [f=0000000] This game has locked LuaUI access
    [f=0000000] Using LUAUI_DIRNAME = LuaUI/
    [f=0000000] Reloaded ctrlpanel from file: LuaUI/ctrlpanel.txt
    [f=0000000] LuaUI: bound F11 to the widget selector
    [f=0000000] LuaUI: bound CTRL+F11 to tweak mode
    [f=0000000] gfx_bloom_los_shader.lua viewresize
    [f=0000000] [bawidgets.lua] Error: Failed to load: player_lol.lua  (no GetInfo() call)
    [f=0000000] Loaded API widget:  Chili Framework     <api_chili.lua>
    [f=0000000] Loaded API widget:  Lups                <gfx_lups_wrapper.lua>
    [f=0000000] Loaded widget:  Spy move/reclaim defaults  <unit_default_spy_move_cloaked.lua>
    [f=0000000] Loaded widget:  Deferred rendering  <gfx_deferred_rendering.lua>
    [f=0000000] Loaded widget:  Metalspot Finder    <api_metalspot_finder.lua>
    [f=0000000] Loaded widget:  External Grid       <map_external_grid.lua>
    [f=0000000] To see skin changes; '/luaui reload'
    [f=0000000] Set "shadows" config-parameter to 0
    [f=0000000] Set maximum particles to: 5000
    [f=0000000] Set maximum particles to: 5000
    [f=0000000] Set maximum nano-particles to: 2500
    [f=0000000] Set maximum nano-particles to: 2500
    [f=0000000] AdvMapShading, true
    [f=0000000] AdvModelShading, true
    [f=0000000] AllowDeferredMapRendering, true
    [f=0000000] AllowDeferredModelRendering, true
    [f=0000000] 3DTrees, false
    [f=0000000] DynamicSky, false
    [f=0000000] DynamicSun, false
    [f=0000000] MapMarks, false
    [f=0000000] MapBorder, true
    [f=0000000] VSync, nil
    [f=0000000] Loaded widget:  Main Menu           <bgu_mainmenu.lua>
    [f=0000000] Loaded widget:  Mex Upgrade Helper  <cmd_mex_upgrade_helper.lua>
    [f=0000000] Loaded widget:  Minimap             <bgu_minimap.lua>
    [f=0000000] Loaded widget:  Health Bars         <gui_healthbars.lua>
    [f=0000000] Loaded widget:  Lock Camera         <api_lock_camera.lua>
    [f=0000000] Loaded widget:  LockCamera Special  <camera_lockcamera_SPECIAL.lua>
    [f=0000000] Loaded widget:  Open Host List      <bgu_open_hosts.lua>
    [f=0000000] Loaded widget:  Build ETA           <gui_build_eta.lua>
    [f=0000000] Loaded widget:  Ally Cursors        <gui_ba_ally_cursors.lua>
    [f=0000000] Loaded widget:  Cursor tooltip      <bgu_cursor_tip.lua>
    [f=0000000] Loaded widget:  Auto First Build Facing  <unit_auto_first_buildfacing.lua>
    [f=0000000] Loaded widget:  Autoquit            <cmd_autoquit.lua>
    [f=0000000] Loaded widget:  CameraFlip          <camera_flip.lua>
    [f=0000000] Loaded widget:  Game Type Info      <gui_game_type_info.lua>
    [f=0000000] Loaded widget:  Game End Graphs     <bgu_endgraph.lua>
    [f=0000000] Loaded widget:  Group Label         <gui_group_label.lua>
    [f=0000000] Loaded widget:  Highlight Geos      <gui_highlight_geos.lua>
    [f=0000000] Loaded widget:  Holdfire Instantly  <cmd_holdfire.lua>
    [f=0000000] Loaded widget:  Easy Facing         <cmd_easy_facing.lua>
    [f=0000000] Loaded widget:  Ignore List API     <api_ignore.lua>
    [f=0000000] Loaded widget:  Ready Button        <bgu_readybutton.lua>
    [f=0000000] Loaded widget:  Load Own Moving     <unit_load_own_moving.lua>
    [f=0000000] Loaded widget:  Loop Select         <gui_loop_select.lua>
    [f=0000000] Loaded widget:  Map Draw Spotter    <gui_whodraws.lua>
    [f=0000000] Loaded widget:  Mex Snap            <cmd_mex_snap.lua>
    [f=0000000] Loaded widget:  Minimap Events      <gui_minimap_events.lua>
    [f=0000000] Loaded widget:  Music Player        <bgu_music_player.lua>
    [f=0000000] Loaded widget:  Pause Screen        <bgu_pause_screen.lua>
    [f=0000000] Loaded widget:  Persistent Build Spacing  <cmd_persistent_build_spacing.lua>
    [f=0000000] Loaded widget:  Point Tracker       <gui_point_tracker.lua>
    [f=0000000] Loaded widget:  Reclaim Info        <gui_reclaim_info.lua>
    [f=0000000] Loaded widget:  Resource Bars       <bgu_resbars.lua>
    [f=0000000] Loaded widget:  Selection Menu      <bgu_smenu.lua>
    [f=0000000] Loaded widget:  Smooth Cam          <camera_smoothcam.lua>
    [f=0000000] Loaded widget:  Spectate Selected   <gui_spectate_selected.lua>
    [f=0000000] Loaded widget:  State Reverse Toggle  <cmd_state_reverse_toggle.lua>
    [f=0000000] Loaded widget:  Take Proxy          <cmd_take_proxy.lua>
    [f=0000000] Loaded widget:  Player List         <bgu_playerlist.lua>
    [f=0000000] Loaded widget:  Awards              <bgu_awards.lua>
    [f=0000000] Loaded widget:  Com Counter         <gui_com_counter.lua>
    [f=0000000] Loaded widget:  Dont Move           <unit_dont_move.lua>
    [f=0000000] Loaded widget:  Alternate Chat Keys  <cmd_old_style_chat_keys.lua>
    [f=0000000] Loaded widget:  Auto group          <unit_auto_group.lua>
    [f=0000000] Loaded widget:  Only Fighters Patrol  <unit_only_fighters_patrol.lua>
    [f=0000000] Loaded widget:  Unit Finished Sounds  <snd_unit_finished.lua>
    [f=0000000] argh
    [f=0000000] ariel
    [f=0000000] cock
    [f=0000000] disabled
    [f=0000000] elmer
    [f=0000000] kitty
    [f=0000000] last-supper
    [f=0000000] rip
    [f=0000000] tank
    [f=0000000] Loaded widget:  Slow SVG Draw       <cmd_svgdraw.lua>
    [f=0000000] Loaded widget:  Com Dont Break Cloak  <unit_com_dont_break_cloak.lua>
    [f=0000000] Loaded widget:  Ghost Radar         <unit_ghost_radar.lua>
    [f=0000000] Loaded widget:  Defense Range       <gui_defense_range.lua>
    [f=0000000] Loaded widget:  Build Split         <cmd_buildsplit.lua>
    [f=0000000] Loaded widget:  Ghost Site          <unit_ghost_site.lua>
    [f=0000000] Loaded widget:  No Duplicate Orders  <cmd_no_duplicate_orders.lua>
    [f=0000000] Loaded widget:  Immobile Builders   <unit_immobile_builder.lua>
    [f=0000000] Loaded widget:  Stockpiler          <unit_stockpile_dynamic.lua>
    [f=0000000] Loaded widget:  Specific Unit Reclaimer  <unit_specific_unit_reclaimer.lua>
    [f=0000000] Loaded widget:  Start Boxes         <bgu_startbox.lua>
    [f=0000000] Loaded widget:  Attack AoE          <gui_attack_aoe.lua>
    [f=0000000] Loaded widget:  Building Hotkeys    <cmd_hotkeys.lua>
    [f=0000000] Loaded widget:  Context Build       <cmd_context_build.lua>
    [f=0000000] Loaded widget:  Prospector          <gui_prospector.lua>
    [f=0000000] Loaded widget:  Recorder (Save)     <dbg_recorder_save.lua>
    [f=0000000] Loaded widget:  Attack and Move Notification  <unit_attack_move_notification.lua>
    [f=0000000] Loaded widget:  Commands FX         <gui_commands_fx.lua>
    [f=0000000] Loaded widget:  Bomber control      <unit_bomber_control.lua>
    [f=0000000] Loaded widget:  CommandInsert       <cmd_command_insert.lua>
    [f=0000000] Loaded widget:  Given Units         <gui_given_units.lua>
    [f=0000000] Loaded widget:  Resurrection Halos  <gui_resurrection_halos.lua>
    [f=0000000] Loaded widget:  Highlight Units     <gui_highlight_units.lua>
    [f=0000000] Loaded widget:  Waypoint Dragger    <unit_waypoint_dragger.lua>
    [f=0000000] Loaded widget:  Hide Mouse          <camera_mouse_cursor_hider.lua>
    [f=0000000] Loaded widget:  Center n Select     <gui_center_n_select.lua>
    [f=0000000] Loaded widget:  LupsManager         <gfx_lups_manager.lua>
    [f=0000000] Loaded widget:  Min Menu            <bgu_min_menu.lua>
    [f=0000000] Loaded widget:  Chili Docking       <api_chili_docking.lua>
    [f=0000000] Loaded widget:  Chat Console        <bgu_console.lua>
    [f=0000000] Loaded widget:  Mouse Buildspacing  <cmd_mouse_build_spacing.lua>
    [f=0000000] Loaded widget:  Image Preloader     <api_buildpic_preload.lua>
    [f=0000000] Loaded widget:  Unittexture Preloader  <api_unit_texture_preloader.lua>
    [f=0000000] Loaded widget:  Factory Bar         <bgu_facbar.lua>
    [f=0000000] Loaded widget:  Initial Queue       <bgu_initial_queue.lua>
    [f=0000000] Loaded widget:  Faction Change      <bgu_faction_change.lua>
    [f=0000000] Loaded widget:  Selection info      <bgu_sinfo.lua>
    [f=0000000] Loaded widget:  CustomFormations2   <cmd_custom_formations.lua>
    [f=0000000] Loaded widget:  Mission Framework   <api_missions.lua>
    [f=0000000] LuaUI v0.3
    [f=0000000] Missions: Activated
    [f=0000000] [LoadFinalize] finalizing PFS
    [f=0000000] [Path] [PathEstimator::ReadFile] hash=1533554281
    [f=0000000] Reading Estimate PathCosts [8]
    [f=0000000] [Path] [PathEstimator::ReadFile] hash=1533554305
    [f=0000000] Reading Estimate PathCosts [32]
    [f=0000000] [LoadFinalize] finalized PFS (111ms, checksum 30d5580d)
    [f=0000000] Set water rendering mode to 1 (reflective)
    [f=0000000] Preloaded, unittextures/Core_normal.dds
    [f=0000000] Preloaded, unittextures/Arm_normals.dds
    [f=0000000] Loaded DecalsDrawer: Legacy
    [f=0000000] GameID: 530fdb5402cedf7f3825ed2209e5539a
    [f=0000000] Connection attempt from UnnamedPlayer
    [f=0000000]  -> Version: 98.0.1-375-g7b238d8 develop
    [f=0000000]  -> Connection established (given id 0)
    [f=0000000] Player UnnamedPlayer finished loading and is now ingame
    [f=0000000] Disabled LuaUI
    [f=0000015] Switching to Spring style camera
    [f=0000116] [SpringApp::ShutDown][1]
    [f=0000116] [ThreadPool::SetThreadCount][1] #wanted=0 #current=3 #max=4
    [f=0000116] [ThreadPool::SetThreadCount][2] #threads=0
    [f=0000116] [SpringApp::ShutDown][2]
    [f=0000116] [~CGame]1]
    [f=0000116] [KillLua][1]
    [f=0000116] [KillLua][2]
    [f=0000116] [KillLua][3]
    [f=0000116] [KillLua][4]
    [f=0000116] [KillMisc][1]
    [f=0000116] [KillMisc][2]
    [f=0000116] [KillRendering][1]
    [f=0000116] [KillInterface][1]
    [f=0000116] [KillInterface][2]
    [f=0000116] [KillSimulation][1]
    [f=0000116] [KillSimulation][2]
    [f=0000116] [CCollisionHandler] dis-/continuous tests: 0/12
    [f=0000116] [KillSimulation][3]
    [f=0000116] [KillSimulation][4]
    [f=0000116] [~CPathCache(44x24)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0000116] [~CPathCache(44x24)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0000116] [~CPathCache(176x96)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0000116] [~CPathCache(176x96)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0000116] Statistics for RectangleOptimizer: 0%
    [f=0000116] Statistics for RectangleOptimizer: 0%
    [f=0000116] [KillSimulation][5]
    [f=0000116] [~CGame][2]
    [f=0000116] [~CGame][3]
    [f=0000116] [SpringApp::ShutDown][3]
    [f=0000116] Statistics for local connection:
    Received: 1202 bytes
    Sent: 1679 bytes
    
    [f=0000116] Writing demo: C:\Users\Nic\Documents\My Games\Spring\demos\20150211_081411_Voltic Plateau v2_98.0.1-375-g7b238d8 develop.sdf
    [f=0000116] [SpringApp::ShutDown][4]
    [f=0000116] [SpringApp::ShutDown][5]
    [f=0000116] [SpringApp::ShutDown][6]
    [f=0000116] [SpringApp::ShutDown][7]
    [LuaSocket] Dumping luasocket rules:
    [LuaSocket] TCP_CONNECT ALLOW replays.springrts.com 8222
    [LuaSocket] TCP_CONNECT ALLOW 78.46.100.156 8222
    [LuaSocket] TCP_LISTEN  ALLOW replays.springrts.com 8222
    [LuaSocket] TCP_LISTEN  ALLOW 78.46.100.156 8222
    [LuaSocket] UDP_LISTEN  ALLOW * -1
    [SpringApp::ShutDown][8]
    [WatchDog::Uninstall][1] hangDetectorThread=031D72F8
    [WatchDog::Uninstall][2]
    [WatchDog::Uninstall][3]
    [SpringApp::ShutDown][9]
    [SpringApp::Run] exitCode=0
    
    txt file icon infolog.txt (31,740 bytes) 2015-02-11 09:18 +

-Relationships
related to 0004668resolvedjK issues with new camera mode 
+Relationships

-Notes

~0014018

silentwings (reporter)

http://www12.zippyshare.com/v/ns8ZGK5M/file.html (file is <3mb but too large for mantis)

~0014022

jK (developer)

cannot reproduce

~0014026

silentwings (reporter)

let me know what extra info to add?

It happens 100% of the time for me (tested also with luaui and luarules off).

~0014028

abma (administrator)

Last edited: 2015-02-11 21:56

View 2 revisions

i can reproduce it with an empty springsettings.cfg: just point mouse-cursor to the point where to zoom to and then use the scroll-wheel to zoom in: the camera centers each "click" of the mousewheel to mouse-cursor. as mouse-cursor isn't in the middle it jumps a gain and again and so the goal is missed. (see the video maybe)

[LCC]jK: can you please copy/paste your settings from infolog.txt?

~0014029

jK (developer)

Last edited: 2015-02-11 22:07

View 3 revisions

| i can reproduce it with an empty springsettings.cfg: just point mouse-cursor to the point where to zoom to and then use the scroll-wheel to zoom in: the camera centers each "click" of the mousewheel to mouse-cursor. as mouse-cursor isn't in the middle it jumps a gain and again and so the goal is missed. (see the video maybe)

That's why the mouse cursor was centered everytime you zoom-in. ALL ppl complained and pushed me to default disable it. AND NOW THEY COMPLAIN THE OTHER WAY AROUND?
Where is the sanity ...

~0014030

abma (administrator)

Last edited: 2015-02-12 00:22

View 6 revisions

no, thats not true imo people meant: its just some missunderstanding. there should be two modes:

1. mouse cursor is centered and camera centered (Spring-Camera original implementation)
2. mouse cursor and camera are not centered (like "Overhead (TA) style camera")

imo people meant 2. and make 2. default but the change that was made leaded to a mixed mode (= current default camera).


(also for me 1. has problems at low fps, see 0004671 )

~0014036

abma (administrator)

Last edited: 2015-02-12 00:09

View 3 revisions

to fix 1., CamSpringWarpMouseToZoomIn has to be set default to true/1.

to fix 2. default camera to Overhead (TA) style?

~0014079

abma (administrator)

thanks!
https://github.com/spring/spring/commit/88490805c50fa17216e008fa874ba7635198767e
+Notes

-Issue History
Date Modified Username Field Change
2015-02-11 09:11 silentwings New Issue
2015-02-11 09:13 silentwings Note Added: 0014018
2015-02-11 09:18 silentwings File Added: infolog.txt
2015-02-11 10:21 abma Relationship added related to 0004668
2015-02-11 17:11 jK Note Added: 0014022
2015-02-11 19:26 silentwings Note Added: 0014026
2015-02-11 21:56 abma Note Added: 0014028
2015-02-11 21:56 abma Note Edited: 0014028 View Revisions
2015-02-11 22:05 jK Note Added: 0014029
2015-02-11 22:05 jK Note Edited: 0014029 View Revisions
2015-02-11 22:07 jK Note Edited: 0014029 View Revisions
2015-02-11 22:12 abma Note Added: 0014030
2015-02-11 22:16 abma Note Edited: 0014030 View Revisions
2015-02-11 22:23 abma Note Edited: 0014030 View Revisions
2015-02-12 00:08 abma Target Version => 99.0
2015-02-12 00:09 abma Note Added: 0014036
2015-02-12 00:09 abma Note Edited: 0014036 View Revisions
2015-02-12 00:09 abma Note Edited: 0014036 View Revisions
2015-02-12 00:21 abma Note Edited: 0014030 View Revisions
2015-02-12 00:21 abma Note Edited: 0014030 View Revisions
2015-02-12 00:22 abma Note Edited: 0014030 View Revisions
2015-02-23 09:48 abma Note Added: 0014079
2015-02-23 09:48 abma Status new => resolved
2015-02-23 09:48 abma Resolution open => fixed
2015-02-23 09:48 abma Assigned To => jK
+Issue History